PureMessage for Microsoft Exchange: error 1603 when upgrading

  • Article ID: 44909
  • Updated: 10 Nov 2008

Issue
When upgrading from PureMessage 2.6.1 to PureMessage 3.0.1 it fails with the error:

1603: failed to run C:\DOCUME~1\user account\LOCAL~1\Temp\dotnetfx.exe

When you click OK on the error, the install rolls back and the upgrade fails leaving PureMessage 2.6.1 still installed.

Technical information
This error refers to the installation of .NET Framework 2.0 which is a pre-requisite for PureMessage 3.x.

Sophos product and version
PureMessage for Microsoft Exchange 3.0.x

Operating system
Windows 2003 Server R2 SP2

What to do

  1. Do one of the following to install the .NET framework:
    • Browse to the extraction folder for PureMessage, which by default is C:\PMex_30\Resources and run the dotnetfx.exe to install the .NET framework on its own. This may require a reboot.
    • Go to the Microsoft website location for download/instructions for .NET framework 2.0:
      http://www.microsoft.com/downloads/details.aspx?FamilyID=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5&displaylang=en
      To start the installation immediately, click Run. To save the download to your computer for installation at a later time, click Save. To cancel the installation, click Cancel.
  2. Re-run the installation of PureMessage 3.0.x. It should now complete without error.

 
If you need more information or guidance, then please contact technical support.

Rate this article

Very poor Excellent

Comments